/*
 * BiZduino.h - BiZduino LED/SW ライブラリ
 */

#include "BiZduino.h"
#include <arduino.h>


#define OUTPUT_PIN_LED3		13	// 出力ピン: LED3
#define INPUT_PIN_SW3		12	// 入力ピン: SW3
#define OUTPUT_WIFI_RESET	8	// 出力ピン: Wi-Fiのリセット
#define OUTPUT_WIFI_ENABLE	9	// 出力ピン: Wi-Fiの有効化


//--------------------
// LED3 class

// コンストラクタ
BiZduinoLED3::BiZduinoLED3()
{
  pinMode(OUTPUT_PIN_LED3, OUTPUT);
  off();
}

// LED3を点灯
void BiZduinoLED3::on() {
  digitalWrite(OUTPUT_PIN_LED3, HIGH);
}

// LED3を消灯
void BiZduinoLED3::off() {
  digitalWrite(OUTPUT_PIN_LED3, LOW);
}

// LED3の点灯/消灯を反転
void BiZduinoLED3::toggle() {
  if (digitalRead(OUTPUT_PIN_LED3) == LOW)
    digitalWrite(OUTPUT_PIN_LED3, HIGH);
  else
    digitalWrite(OUTPUT_PIN_LED3, LOW);
}


//--------------------
// SW3 class

// コンストラクタ
BiZduinoSW3::BiZduinoSW3()
{
  pinMode(INPUT_PIN_SW3, INPUT_PULLUP);
  pressed = false;
}

// SW3が押されているか判定
// return:  true=SW on / false=SW off
bool BiZduinoSW3::isPressed() {
  pressed = (digitalRead(INPUT_PIN_SW3) == LOW);
  return pressed;
}

// SW3が押されたか判定
// return:  true=off状態からonになった / false=その他
bool BiZduinoSW3::isClicked(void) {
  if (!pressed) {
    return isPressed();
  } else {
    isPressed();
    return false;
  }
}




