// RTCの時刻を取得するサンプルスケッチ

#include <BiZduinoRTC.h>

// 曜日文字列
const char *weekName[7] = {
  "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"
};

DateTime dt;

void setup() {
  // シリアルモニタとの通信を開始
  Serial.begin(115200);
  RTC.begin();
}

void loop() {
  int wait = 1000;

  // RTCの時刻を取得
  if (RTC.read(dt)) {

    Serial.print(dt.year());    // 年の表示
    Serial.write('/');
    print2digits(dt.month());   // 月の表示
    Serial.write('/');
    print2digits(dt.day());     // 日の表示
    Serial.write(' ');
    Serial.print(weekName[dt.dayOfWeek()]); // 曜日の表示
    Serial.write(' ');
    print2digits(dt.hour());    // 時の表示
    Serial.write(':');
    print2digits(dt.minute());  // 分の表示
    Serial.write(':');
    print2digits(dt.second());  // 秒の表示
    Serial.write('.');
    print3digits(RTC.milliSecond()); // ミリ秒表示 (RTCの精度は1/100秒単位です)
    Serial.println();

    wait = 1000 - RTC.milliSecond(); // ミリ秒値でディレイ時間を調整
  } else {
    if (RTC.chipPresent()) {
      // RTCデータエラー
      Serial.println("RTC is stopped.");
      Serial.println();
    } else {
      // RTC通信エラー
      Serial.println("RTC read error!");
      Serial.println();
    }
  }

  delay(wait);
}

// 2桁表示
void print2digits(int number) {
  if (number >= 0 && number < 10) {
    Serial.write('0');
  }
  Serial.print(number);
}

// 3桁表示
void print3digits(int number) {
  if (number >= 0 && number < 100) {
    Serial.write('0');
  }
  if (number >= 0 && number < 10) {
    Serial.write('0');
  }
  Serial.print(number);
}


